<?php

namespace App\Distributor\Repositories;

use App\Models\DistVideoCategory as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class DistVideoCategory extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    // 调用模型方法
    public static function selectOptions(\Closure $closure = null)
    {
        $selectOptions =  Model::class::selectOptions($closure);
        return $selectOptions;
    }

    public static function findById($id)
    {
        return Model::find($id); // 查找并返回相应的记录
    }
}
